#---------------pymol script for K-turn # 7
#
#------------------------clean up
reinitialize
# -----------------------set background color white
bg_color white
#---------------load coordinates (use .pdb suffix)
load coords_7.pdb, Kink_Turn
load kink_turn_superimpose_5.pdb

hide lines, Kink_Turn
show cartoon, Kink_Turn
set cartoon_ring_mode=3, Kink_Turn
set cartoon_tube_radius=0.4, Kink_Turn

#
create backbone, (name P+O1P+O2P+O5'+C5'+C4'+O4'+C3'+O3'+C2'+O2'+C1')
show stick, (backbone)
hide cartoon, (backbone)

create base, (not (name P+O1P+O2P+O5'+C5'+C4'+O4'+C3'+O3'+C2'+O2'+C1'))
show stick, (base)
#set stick_radius=.2

# atom colors

color wheat, (Kink_Turn and elem c)
color wheat, (base and elem c)
color red, (base and elem o)
color yellow, (base and elem p)
color blue, (base and elem n)
#------bulged base
color yellow, (base and elem c and resi 1315)
color red, (base and elem o)
color yellow, (base and elem p)
color blue, (base and elem n)
#
########----create stacks
#
create C_stem, (resi 342-343 or resi 311-313) and Kink_Turn
create NC_stem, (resi 316-319 or resi 338-341) and Kink_Turn  

########----draw hbonds

distance Hbonds, (Chain A and element O+N), (Chain B and element O+N), 3.2

distance Hbonds, (name O2'), (element O+N and (base and not (name N9+O4'+O5'+O3'))), 3.2
distance Hbonds, (/backbone//A/G`315/O2'), (/backbone//A/U`314/O1P), 3.2

color black, Hbonds*
set dash_width=6

show sticks, (NC_stem or C_stem)

color wheat, (NC_stem and elem c)
color red, (NC_stem and elem o)
color yellow, (NC_stem and elem p)
color blue, (NC_stem and elem n)
color wheat, (C_stem and elem c)
color red, (C_stem and elem o)
color yellow, (C_stem and elem p)
color blue, (C_stem and elem n)



#-------hyper_twist---------
#hide all

create topleft, (resi 341)
create topright, (resi 316)
show stick, (topright or topleft)
set stick_radius=.25, (topright or topleft)
color red, (topright or topleft)

create bottomleft, (resi 317)
create bottomright, (resi 340)
show stick, (bottomleft or bottomright)
set stick_radius=.2,  (bottomleft or bottomright)
color blue, (bottomleft or bottomright)


distance hyptwist_hb = (topright and name N2), (topleft and name N7), 3.4
distance hyptwist_hb = (topright and name N3), (topleft and name N6), 3.4
distance hyptwist_hb = (bottomright and name N2), (bottomleft and name N7), 3.4
distance hyptwist_hb = (bottomright and name N3), (bottomleft and name N6), 3.5
distance hyptwist_hb = (/hypertwist//A/G`316/O2'), (/hypertwist//B/G`340/N2 or /hypertwist//B/G`340/N1), 3.4



color black, hyptwist_hb
hide labels
set dash_length, 0.2
set dash_gap, 0.1


remove (topright and (name P+O1P+O2P))
remove (bottomright and (name P+O1P+O2P))

create hypertwist, topleft+topright+bottomleft+bottomright
distance hyptwist_hb = (/hypertwist//A/G`316/O2'), (/hypertwist//B/G`340/N2 or /hypertwist//B/G`340/N1), 3.4
distance hyptwist_hb = (/hypertwist//B/G`340/O2'), (/hypertwist//A/G`316/N2), 3.4 


hide everything, hypertwist
bond (/hypertwist//A/A`317/P), (/hypertwist//A/G`316/O3')
bond (/hypertwist//B/G`340/O3'), (/hypertwist//B/A`341/P)


hide everything, hypertwist
show stick, hypertwist
delete topright
delete topleft
delete bottomright
delete bottomleft

set orthoscopic=2
set ambient=0.2
set antialias=1

load kink_turn_superimpose_5.pdb, sup_pos
hide everything, sup_pos
show stick, sup_pos
color wheat, (sup_pos and elem C)
color blue, (sup_pos and elem N)
color red, (sup_pos and elem O)

create sup_pos_1, sup_pos and chain 1
create sup_pos_2, sup_pos and chain 2
create sup_pos_3, sup_pos and chain 3
create sup_pos_4, sup_pos and chain 4
create sup_pos_5, sup_pos and chain 5
create sup_pos_6, sup_pos and chain 6
create sup_pos_7, sup_pos and chain 7
create sup_pos_8, sup_pos and chain 6

color white, (Kink_Turn and elem c sup_pos_1)



set_view (\
    -0.474971443,   -0.359191388,   -0.803368568,\
     0.845643878,    0.066332012,   -0.529622734,\
     0.243522719,   -0.930904806,    0.272242785,\
    -0.000266138,    0.000148823,  -78.803031921,\
    13.445232391,  133.325836182,   56.245037079,\
    56.757411957,   93.591156006,    1.000000000 )
### cut above here and paste into script ### 
disable all
enable Kink_Turn
enable backbone
enable base
enable Hbonds*
